//File:         BWRange.java
//Project:      ProbeSim
//Version:      0.2
//Designer:     C. Edward Chow
//Revision:
//              1/14/2000  C. Edward Chow
//Bug Report:   send to chow@cs.uccs.edu
//Description:  Simulator for Internet Network Probing Research


package NetLayout;

import java.text.*;

public class BWRange {

  double lowerBound;
  double upperBound;
  double reportValue;
  double accuracy;

  public BWRange() {
  }
  public double average() {
     return (lowerBound+upperBound)/2;
  }
  public String toString() {
     DecimalFormat doubleDF = new DecimalFormat("##0.0");
     String lowerBoundStr= doubleDF.format(lowerBound);
     String upperBoundStr= doubleDF.format(upperBound);
//     String avgStr= doubleDF.format((lowerBound+upperBound)/2);
     String reportStr= doubleDF.format(reportValue);
     return "["+lowerBoundStr+", "+upperBoundStr+"] reportValue="+reportStr;
  }
}