//File:         NetLayout.java
//Project:      ProbeSim
//Version:      0.2
//Designer:     C. Edward Chow
//Revision:
//              1/14/2000  C. Edward Chow
//Bug Report:   send to chow@cs.uccs.edu
//Description:  Simulator for Internet Network Probing Research
//              Main class of ProbeSim
//

package NetLayout;

import javax.swing.UIManager;
import java.awt.*;

public class NetLayout {
  boolean packFrame = false;
  final static int CLIENT = 1;
  final static int SERVER = 2;
  final static int CACHE = 3;
  final static int DNS = 4;
  final static int LBA = 5;
  final static int ROUTER = 6;
  final static int SWITCH = 7;
  final static int PROBE = 8;
  final static int PROBERCV = 9;
  final static int NoOfNodeTypes = 9;

  final static int PTPLINK = 10;
  final static int MALINK = 11;
  final static int CABLE = 12;

  final static int NoOfObjects = 12;
  //Construct the application
  
  public NetLayout() {
    NetLayoutFrame frame = new NetLayoutFrame();
    //Validate frames that have preset sizes
    //Pack frames that have useful preferred size info, e.g. from their layout
    if (packFrame)
      frame.pack();
    else
      frame.validate();
    //Center the window
    //Dimension screenSize = Toolkit.getDefaultToolkit().getScreenSize();
    //Dimension frameSize = frame.getSize();
    //if (frameSize.height > screenSize.height)
    //  frameSize.height = screenSize.height;
    //if (frameSize.width > screenSize.width)
    //  frameSize.width = screenSize.width;
    frame.setLocation(0,0);
    frame.setSize(500,500);
    frame.setVisible(true);
  }
//Main method
  
  public static void main(String[] args) {
    try  {
      //UIManager.setLookAndFeel(new com.sun.java.swing.plaf.windows.WindowsLookAndFeel());
      //UIManager.setLookAndFeel(new com.sun.java.swing.plaf.motif.MotifLookAndFeel());
      //UIManager.setLookAndFeel(new com.sun.java.swing.plaf.metal.MetalLookAndFeel());
    }
    catch (Exception e) {
    }
    new NetLayout();
  }
}

 
